New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

AppImage not starting: "QOwnNotes: no version information available (required by QOwnNotes)" #1002

Closed
kiuuik opened this Issue Aug 25, 2018 · 8 comments

Comments

Projects
None yet
3 participants
@kiuuik

kiuuik commented Aug 25, 2018

I tested in debian9 and ubuntu 1804.

I downloaded the appimage from opensuse site that your homepage links to. Then I made the file executable (which suffices for other appimages I have used). Then I try to execute it but just get this.

Do I miss something?

./QOwnNotes-1535197953.42c3b95c-Build1.1.glibc2.14-x86_64.AppImage 
AppImage 
QOwnNotes: QOwnNotes: no version information available (required by QOwnNotes)
QOwnNotes: QOwnNotes: no version information available (required by QOwnNotes)
QOwnNotes: QOwnNotes: no version information available (required by QOwnNotes)
QOwnNotes: QOwnNotes: no version information available (required by QOwnNotes)
QOwnNotes: QOwnNotes: no version information available (required by QOwnNotes)
QOwnNotes: QOwnNotes: no version information available (required by QOwnNotes)
QOwnNotes: QOwnNotes: no version information available (required by QOwnNotes)
QOwnNotes: QOwnNotes: no version information available (required by QOwnNotes)
QOwnNotes: QOwnNotes: no version information available (required by QOwnNotes)
QOwnNotes: QOwnNotes: no version information available (required by QOwnNotes)
QOwnNotes: QOwnNotes: no version information available (required by QOwnNotes)
QOwnNotes: QOwnNotes: no version information available (required by QOwnNotes)
QOwnNotes: QOwnNotes: no version information available (required by QOwnNotes)
QOwnNotes: QOwnNotes: no version information available (required by QOwnNotes)
QOwnNotes: QOwnNotes: no version information available (required by QOwnNotes)
QOwnNotes: QOwnNotes: no version information available (required by QOwnNotes)
QOwnNotes: QOwnNotes: no version information available (required by QOwnNotes)
QOwnNotes: QOwnNotes: no version information available (required by QOwnNotes)
QOwnNotes: QOwnNotes: no version information available (required by QOwnNotes)
QOwnNotes: QOwnNotes: no version information available (required by QOwnNotes)
QOwnNotes: QOwnNotes: no version information available (required by QOwnNotes)
QOwnNotes: QOwnNotes: no version information available (required by QOwnNotes)
QOwnNotes: QOwnNotes: no version information available (required by QOwnNotes)
QOwnNotes: QOwnNotes: no version information available (required by QOwnNotes)
QOwnNotes: QOwnNotes: no version information available (required by QOwnNotes)
QOwnNotes: relocation error: QOwnNotes: symbol  version  not defined in file  with link time reference
@pbek

This comment has been minimized.

Owner

pbek commented Aug 26, 2018

Strange, the AppImages are built by OBS, I haven't change anything since quite a while.

@pbek

This comment has been minimized.

Owner

pbek commented Aug 26, 2018

I've the same problem, but there is nothing I can do at the moment... Build log looks ok: https://build.opensuse.org/package/live_build_log/home:pbek:QOwnNotes/desktop/AppImage/x86_64

@pbek

This comment has been minimized.

Owner

pbek commented Sep 5, 2018

The problem still persists and I haven't found the cause or a solution.

@fodrice

This comment has been minimized.

Contributor

fodrice commented Sep 20, 2018

That's not only yours problem
AppImage/AppImageKit#344
probonopd/linuxdeployqt#313

" reference the error (no version information available (required by ./Ktube_Media_Downloader-x86_64.AppImage))
is usually given by ldd its not a fault of appimagekit."

@pbek

This comment has been minimized.

Owner

pbek commented Sep 20, 2018

Who can fix that? :/

@pbek

This comment has been minimized.

Owner

pbek commented Sep 21, 2018

@fodrice, thank you very much for your pull request #1024! That did the trick!

I just tested https://download.opensuse.org/repositories/home:/pbek:/QOwnNotes/AppImage/QOwnNotes-latest-x86_64.AppImage and it works again!

@kiuuik, @fodrice can you confirm that?

@fodrice

This comment has been minimized.

Contributor

fodrice commented Sep 21, 2018

Works for me.

@pbek

This comment has been minimized.

Owner

pbek commented Sep 21, 2018

Great, thank you for testing!

@pbek pbek closed this Sep 21, 2018

@pbek pbek added this to the 18.09.3 milestone Sep 21, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment